Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### catch

Examples

    BufferedReader reader;
    String line;

    void setup() {
      // Open the file from the createWriter() example
      reader = createReader("positions.txt");
    }

    void draw() {
      try {
        line = reader.readLine();
      } catch (IOException e) {
        e.printStackTrace();
        line = null;
      }
      if (line == null) {
        // Stop reading because of an error or file is empty
        noLoop();
      } else {
        String[] pieces = split(line, TAB);
        int x = int(pieces[0]);
        int y = int(pieces[1]);
        point(x, y);
      }
    }

Description | The catch keyword is used with try to handle exceptions. Sun's Java documentation defines an exception as "an event, which occurs during the execution of a program, that disrupts the normal flow of the program's instructions." This could be, for example, an error while a file is read.

Syntax

    try {
      tryStatements
    } catch (exception) {
      catchStatements
    }

Parameters

tryStatements | if this code throws and exception, the code in catch is run
exception | a Java exception
catchStatements | code that handles the exception

Usage | Web & Application

Updated on August 30, 2010 04:29:39pm EDT